org.apache.ignite.internal.visor.misc

## Class VisorWalTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.misc.VisorWalTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorWalTaskResult
    extends VisorDataTransferObject

Result of `VisorWalTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorWalTaskResult()` Default constructor.
`VisorWalTaskResult(Map<String,Collection<String>> results, Map<String,Exception> exceptions, Map<String,VisorClusterNode> nodesInfo)` Create `VisorWalTask` result with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Exception>` `exceptions()` Get occurred errors by node consistent id.
`Map<String,VisorClusterNode>` `getNodesInfo()` Get nodes info by node consistent id.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`Map<String,Collection<String>>` `results()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorWalTaskResult

    public VisorWalTaskResult()

Default constructor.

#### VisorWalTaskResult

    public VisorWalTaskResult(Map<String,Collection<String>> results,
                              Map<String,Exception> exceptions,
                              Map<String,VisorClusterNode> nodesInfo)

Create `VisorWalTask` result with given parameters.

Parameters:
  `results` - List of log search results.
  `exceptions` - List of exceptions by node id.
  `nodesInfo` - Nodes info.

### Method Detail

#### exceptions

    public Map<String,Exception> exceptions()

Get occurred errors by node consistent id.

Returns:
  Exceptions by node consistent id.

#### results

    public Map<String,Collection<String>> results()

Returns:
  List of archived wal segments path search results by node consistent id.

#### getNodesInfo

    public Map<String,VisorClusterNode> getNodesInfo()

Get nodes info by node consistent id.

Returns:
  Nodes info.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023